Subject: Re: bug#12354: 24.2; garbage inserted at the beginning of the buffer even when xterm-extra-capabilities is t

From: Vincent Lefevre <[email-masked]>
Date: Wed, 1 Jul 2015 17:01:43 +0200

On 2015-06-30 23:19:11 -0400, Stefan Monnier wrote:
> > If you look at the code, you'll hopefully see that there are 2 code
> > paths (one synchronous with a timeout, and one asynchronous), and
> > a comment saying that the two should be merged.
> > I.e. when using the synchronous path, after hitting the timeout, we
> > should switch to the async path.
> > Or simply just "always" use the async path.
> 
> I installed the patch below which switches to the async method in case
> of a timeout.  That should hopefully solve your use case.

I don't know whether this is related, but I've compiled the the master
branch (3d759f4f6f2a20abbc05225a55d35c5daf093ff6), and Emacs freezes
(in an xterm, via SSH). I need to type C-g.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)